package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.MwfData;

import java.util.Map;
import java.util.HashMap;

public class MWFHE7Data implements MwfData {

    private Map<String, Object> params = new HashMap<>();
    
    private MWFHE7Data() {}

    public static MWFHE7Data builder() {
        return new MWFHE7Data();
    }

    public MWFHE7Data rsUniPtSegKey(Long rsUniPtSegKey) {
        params.put("RS_UNI_PT_SEG_KEY", rsUniPtSegKey);
        return this;
    }

    public MWFHE7Data rsSrcId(String rsSrcId) {
        params.put("RS_SRC_ID", rsSrcId);
        return this;
    }

    public MWFHE7Data rsSrcSysId(String rsSrcSysId) {
        params.put("RS_SRC_SYS_ID", rsSrcSysId);
        return this;
    }

    public MWFHE7Data rsUniPtKey(Long rsUniPtKey) {
        params.put("RS_UNI_PT_KEY", rsUniPtKey);
        return this;
    }

    public MWFHE7Data rsBusCode(String rsBusCode) {
        params.put("RS_BUS_CODE", rsBusCode);
        return this;
    }

    public MWFHE7Data rsSegmCode(String rsSegmCode) {
        params.put("RS_SEGM_CODE", rsSegmCode);
        return this;
    }

    public MWFHE7Data rsSegCode(String rsSegCode) {
        params.put("RS_SEG_CODE", rsSegCode);
        return this;
    }

    public MWFHE7Data rsSegDt(java.util.Date rsSegDt) {
        params.put("RS_SEG_DT", rsSegDt);
        return this;
    }

    public MWFHE7Data rsNote(String rsNote) {
        params.put("RS_NOTE", rsNote);
        return this;
    }

    public MWFHE7Data rsInsSso(String rsInsSso) {
        params.put("RS_INS_SSO", rsInsSso);
        return this;
    }

    public MWFHE7Data rsInsDt(java.util.Date rsInsDt) {
        params.put("RS_INS_DT", rsInsDt);
        return this;
    }

    public MWFHE7Data rsUpdSso(String rsUpdSso) {
        params.put("RS_UPD_SSO", rsUpdSso);
        return this;
    }

    public MWFHE7Data rsUpdDt(java.util.Date rsUpdDt) {
        params.put("RS_UPD_DT", rsUpdDt);
        return this;
    }

    public MWFHE7Data rsRsnTpCode(String rsRsnTpCode) {
        params.put("RS_RSN_TP_CODE", rsRsnTpCode);
        return this;
    }

    public MWFHE7Data rsExpireDate(java.util.Date rsExpireDate) {
        params.put("RS_EXPIRE_DATE", rsExpireDate);
        return this;
    }

    public MWFHE7Data rsSrcEntity(String rsSrcEntity) {
        params.put("RS_SRC_ENTITY", rsSrcEntity);
        return this;
    }

    public MWFHE7Data rsDelFlag(String rsDelFlag) {
        params.put("RS_DEL_FLAG", rsDelFlag);
        return this;
    }

    public MWFHE7Data rsSrcRole(String rsSrcRole) {
        params.put("RS_SRC_ROLE", rsSrcRole);
        return this;
    }

    public MWFHE7Data rsSrcRowId(String rsSrcRowId) {
        params.put("RS_SRC_ROW_ID", rsSrcRowId);
        return this;
    }

    public MWFHE7Data rsDescr(String rsDescr) {
        params.put("RS_DESCR", rsDescr);
        return this;
    } 

    public Map<String, Object> getParams() {
        return params;
    }

}
